//
//  OField.swift
//  NSApplication1.8
//
//  Created by DT Team  on 5/10/20.
//  Copyright © 2020 Amine. All rights reserved.
//

import UIKit


protocol OFieldDelegate:class  {
    //func successUtf8(data: String)
    func getValue() -> String
    func getKey() -> String
    func getField() -> CField?
}

class OField: UIView, OFieldDelegate {
    
    func getKey() -> String {
        return ""
    }
    
    func getValue() -> String {
        return ""
    }
    
    func getField() -> CField? {
        return nil
    }
    
    
    required init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
    }
       
    override init(frame: CGRect) {
        super.init(frame: frame)
    }
    
}
